// -------------------------------------------------------------------------------------------------
// xsVentanaDesplazamiento.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsVentanaDesplazamiento_hpp__
#define __xsVentanaDesplazamiento_hpp__

Clase xsVentanaDesplazamiento : Publica xsObjeto
{
	Publica:

		xsVentanaDesplazamiento();

		Vacio crear(GtkAdjustment* ajusteVertical, 
		            GtkAdjustment* ajusteHorizontal);

		xsVentanaDesplazamiento(GtkAdjustment* ajusteVertical, 
		                        GtkAdjustment* ajusteHorizontal);
		
		Vacio agregarEn(xsObjetoGUI *objetoInsertar);	

		Vacio colocarDesplazamiento(xsDesplazamientoTipo horizontal,
						            xsDesplazamientoTipo vertical);
		Vacio colocarTipoSombra(xsTipoSombra tipo);
};

// Fin de la Definición del Archivo
#endif
